Public Member Functions | Static Public Member Functions | List of all members
clan::Application Class Referenceabstract
clanApp System

Base class for the application object. More...

`#include <clanapp.h>`

## Public Member Functions
virtual | ~Application ()
virtual bool | update ()=0
| Main loop update handler. More...

## Static Public Member Functions
static const std::vector< std::string > & | main_args ()
| Returns the command line arguments passed to the application. More...
static void | use_timeout_timing (int timeout_ms)
| Set update handler to wait a certain amount of milliseconds between each update. More...

## Detailed Description

Base class for the application object.

All applications using the clanApp module need to inherit from this class. See ApplicationInstance for more information.

## Constructor & Destructor Documentation

virtual clan::Application::~Application | ( |  | ) |
| inline virtual

## Member Function Documentation

static const std::vector<std::string>& clan::Application::main_args | ( |  | ) |
| static

Returns the command line arguments passed to the application.

virtual bool clan::Application::update | ( |  | ) |
| pure virtual

Main loop update handler.

Once the target environment has been initialized this function is called continously to update and render the application. If the function returns false the main loop will end and the application will exit.

static void clan::Application::use_timeout_timing | ( | int | timeout_ms | ) |
| static

Set update handler to wait a certain amount of milliseconds between each update.

The documentation for this class was generated from the following file:

- clanapp.h